// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        v3.21.9
// source: proto/master/catalog/passenger.proto

package catalog

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type Passenger struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id        uint64                 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Name      string                 `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	AgeMax    uint32                 `protobuf:"varint,3,opt,name=age_max,json=ageMax,proto3" json:"age_max,omitempty"`
	AgeMin    uint32                 `protobuf:"varint,4,opt,name=age_min,json=ageMin,proto3" json:"age_min,omitempty"`
	CreatedAt *timestamppb.Timestamp `protobuf:"bytes,5,opt,name=created_at,json=createdAt,proto3" json:"created_at,omitempty"`
	UpdatedAt *timestamppb.Timestamp `protobuf:"bytes,6,opt,name=updated_at,json=updatedAt,proto3" json:"updated_at,omitempty"`
}

func (x *Passenger) Reset() {
	*x = Passenger{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_master_catalog_passenger_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Passenger) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Passenger) ProtoMessage() {}

func (x *Passenger) ProtoReflect() protoreflect.Message {
	mi := &file_proto_master_catalog_passenger_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Passenger.ProtoReflect.Descriptor instead.
func (*Passenger) Descriptor() ([]byte, []int) {
	return file_proto_master_catalog_passenger_proto_rawDescGZIP(), []int{0}
}

func (x *Passenger) GetId() uint64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *Passenger) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Passenger) GetAgeMax() uint32 {
	if x != nil {
		return x.AgeMax
	}
	return 0
}

func (x *Passenger) GetAgeMin() uint32 {
	if x != nil {
		return x.AgeMin
	}
	return 0
}

func (x *Passenger) GetCreatedAt() *timestamppb.Timestamp {
	if x != nil {
		return x.CreatedAt
	}
	return nil
}

func (x *Passenger) GetUpdatedAt() *timestamppb.Timestamp {
	if x != nil {
		return x.UpdatedAt
	}
	return nil
}

type ListPassenger struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Passengers []*Passenger `protobuf:"bytes,1,rep,name=passengers,proto3" json:"passengers,omitempty"`
}

func (x *ListPassenger) Reset() {
	*x = ListPassenger{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_master_catalog_passenger_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListPassenger) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListPassenger) ProtoMessage() {}

func (x *ListPassenger) ProtoReflect() protoreflect.Message {
	mi := &file_proto_master_catalog_passenger_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListPassenger.ProtoReflect.Descriptor instead.
func (*ListPassenger) Descriptor() ([]byte, []int) {
	return file_proto_master_catalog_passenger_proto_rawDescGZIP(), []int{1}
}

func (x *ListPassenger) GetPassengers() []*Passenger {
	if x != nil {
		return x.Passengers
	}
	return nil
}

type CreatePassengerRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name   string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	AgeMax uint32 `protobuf:"varint,2,opt,name=age_max,json=ageMax,proto3" json:"age_max,omitempty"`
	AgeMin uint32 `protobuf:"varint,3,opt,name=age_min,json=ageMin,proto3" json:"age_min,omitempty"`
}

func (x *CreatePassengerRequest) Reset() {
	*x = CreatePassengerRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_master_catalog_passenger_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreatePassengerRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreatePassengerRequest) ProtoMessage() {}

func (x *CreatePassengerRequest) ProtoReflect() protoreflect.Message {
	mi := &file_proto_master_catalog_passenger_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreatePassengerRequest.ProtoReflect.Descriptor instead.
func (*CreatePassengerRequest) Descriptor() ([]byte, []int) {
	return file_proto_master_catalog_passenger_proto_rawDescGZIP(), []int{2}
}

func (x *CreatePassengerRequest) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *CreatePassengerRequest) GetAgeMax() uint32 {
	if x != nil {
		return x.AgeMax
	}
	return 0
}

func (x *CreatePassengerRequest) GetAgeMin() uint32 {
	if x != nil {
		return x.AgeMin
	}
	return 0
}

type UpdatePassengerRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id          uint64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Name        string `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	Description string `protobuf:"bytes,3,opt,name=description,proto3" json:"description,omitempty"`
}

func (x *UpdatePassengerRequest) Reset() {
	*x = UpdatePassengerRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_master_catalog_passenger_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpdatePassengerRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdatePassengerRequest) ProtoMessage() {}

func (x *UpdatePassengerRequest) ProtoReflect() protoreflect.Message {
	mi := &file_proto_master_catalog_passenger_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdatePassengerRequest.ProtoReflect.Descriptor instead.
func (*UpdatePassengerRequest) Descriptor() ([]byte, []int) {
	return file_proto_master_catalog_passenger_proto_rawDescGZIP(), []int{3}
}

func (x *UpdatePassengerRequest) GetId() uint64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *UpdatePassengerRequest) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *UpdatePassengerRequest) GetDescription() string {
	if x != nil {
		return x.Description
	}
	return ""
}

type DeletePassengerResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Message string `protobuf:"bytes,1,opt,name=message,proto3" json:"message,omitempty"`
}

func (x *DeletePassengerResponse) Reset() {
	*x = DeletePassengerResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_master_catalog_passenger_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeletePassengerResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeletePassengerResponse) ProtoMessage() {}

func (x *DeletePassengerResponse) ProtoReflect() protoreflect.Message {
	mi := &file_proto_master_catalog_passenger_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeletePassengerResponse.ProtoReflect.Descriptor instead.
func (*DeletePassengerResponse) Descriptor() ([]byte, []int) {
	return file_proto_master_catalog_passenger_proto_rawDescGZIP(), []int{4}
}

func (x *DeletePassengerResponse) GetMessage() string {
	if x != nil {
		return x.Message
	}
	return ""
}

type PassengerFilterQuery struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Query string `protobuf:"bytes,1,opt,name=query,proto3" json:"query,omitempty"`
	Page  int32  `protobuf:"varint,2,opt,name=page,proto3" json:"page,omitempty"`
	Limit int32  `protobuf:"varint,3,opt,name=limit,proto3" json:"limit,omitempty"`
}

func (x *PassengerFilterQuery) Reset() {
	*x = PassengerFilterQuery{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_master_catalog_passenger_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PassengerFilterQuery) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PassengerFilterQuery) ProtoMessage() {}

func (x *PassengerFilterQuery) ProtoReflect() protoreflect.Message {
	mi := &file_proto_master_catalog_passenger_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PassengerFilterQuery.ProtoReflect.Descriptor instead.
func (*PassengerFilterQuery) Descriptor() ([]byte, []int) {
	return file_proto_master_catalog_passenger_proto_rawDescGZIP(), []int{5}
}

func (x *PassengerFilterQuery) GetQuery() string {
	if x != nil {
		return x.Query
	}
	return ""
}

func (x *PassengerFilterQuery) GetPage() int32 {
	if x != nil {
		return x.Page
	}
	return 0
}

func (x *PassengerFilterQuery) GetLimit() int32 {
	if x != nil {
		return x.Limit
	}
	return 0
}

type PassengerIdentifierRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id uint64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *PassengerIdentifierRequest) Reset() {
	*x = PassengerIdentifierRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_master_catalog_passenger_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PassengerIdentifierRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PassengerIdentifierRequest) ProtoMessage() {}

func (x *PassengerIdentifierRequest) ProtoReflect() protoreflect.Message {
	mi := &file_proto_master_catalog_passenger_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PassengerIdentifierRequest.ProtoReflect.Descriptor instead.
func (*PassengerIdentifierRequest) Descriptor() ([]byte, []int) {
	return file_proto_master_catalog_passenger_proto_rawDescGZIP(), []int{6}
}

func (x *PassengerIdentifierRequest) GetId() uint64 {
	if x != nil {
		return x.Id
	}
	return 0
}

var File_proto_master_catalog_passenger_proto protoreflect.FileDescriptor

var file_proto_master_catalog_passenger_proto_rawDesc = []byte{
	0x0a, 0x24, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x2f, 0x63,
	0x61, 0x74, 0x61, 0x6c, 0x6f, 0x67, 0x2f, 0x70, 0x61, 0x73, 0x73, 0x65, 0x6e, 0x67, 0x65, 0x72,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0e, 0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x63,
	0x61, 0x74, 0x61, 0x6c, 0x6f, 0x67, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d,
	0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xd7, 0x01, 0x0a, 0x09, 0x50, 0x61, 0x73, 0x73,
	0x65, 0x6e, 0x67, 0x65, 0x72, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x04, 0x52, 0x02, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x17, 0x0a, 0x07, 0x61, 0x67, 0x65,
	0x5f, 0x6d, 0x61, 0x78, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x06, 0x61, 0x67, 0x65, 0x4d,
	0x61, 0x78, 0x12, 0x17, 0x0a, 0x07, 0x61, 0x67, 0x65, 0x5f, 0x6d, 0x69, 0x6e, 0x18, 0x04, 0x20,
	0x01, 0x28, 0x0d, 0x52, 0x06, 0x61, 0x67, 0x65, 0x4d, 0x69, 0x6e, 0x12, 0x39, 0x0a, 0x0a, 0x63,
	0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x61, 0x74, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75,
	0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x09, 0x63, 0x72, 0x65,
	0x61, 0x74, 0x65, 0x64, 0x41, 0x74, 0x12, 0x39, 0x0a, 0x0a, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65,
	0x64, 0x5f, 0x61, 0x74, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f,
	0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d,
	0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x09, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x41,
	0x74, 0x22, 0x4a, 0x0a, 0x0d, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x61, 0x73, 0x73, 0x65, 0x6e, 0x67,
	0x65, 0x72, 0x12, 0x39, 0x0a, 0x0a, 0x70, 0x61, 0x73, 0x73, 0x65, 0x6e, 0x67, 0x65, 0x72, 0x73,
	0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x2e,
	0x63, 0x61, 0x74, 0x61, 0x6c, 0x6f, 0x67, 0x2e, 0x50, 0x61, 0x73, 0x73, 0x65, 0x6e, 0x67, 0x65,
	0x72, 0x52, 0x0a, 0x70, 0x61, 0x73, 0x73, 0x65, 0x6e, 0x67, 0x65, 0x72, 0x73, 0x22, 0x5e, 0x0a,
	0x16, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x50, 0x61, 0x73, 0x73, 0x65, 0x6e, 0x67, 0x65, 0x72,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x17, 0x0a, 0x07, 0x61,
	0x67, 0x65, 0x5f, 0x6d, 0x61, 0x78, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x06, 0x61, 0x67,
	0x65, 0x4d, 0x61, 0x78, 0x12, 0x17, 0x0a, 0x07, 0x61, 0x67, 0x65, 0x5f, 0x6d, 0x69, 0x6e, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x06, 0x61, 0x67, 0x65, 0x4d, 0x69, 0x6e, 0x22, 0x5e, 0x0a,
	0x16, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x50, 0x61, 0x73, 0x73, 0x65, 0x6e, 0x67, 0x65, 0x72,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x04, 0x52, 0x02, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x20, 0x0a, 0x0b, 0x64,
	0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0x33, 0x0a,
	0x17, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x50, 0x61, 0x73, 0x73, 0x65, 0x6e, 0x67, 0x65, 0x72,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x18, 0x0a, 0x07, 0x6d, 0x65, 0x73, 0x73,
	0x61, 0x67, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x6d, 0x65, 0x73, 0x73, 0x61,
	0x67, 0x65, 0x22, 0x56, 0x0a, 0x14, 0x50, 0x61, 0x73, 0x73, 0x65, 0x6e, 0x67, 0x65, 0x72, 0x46,
	0x69, 0x6c, 0x74, 0x65, 0x72, 0x51, 0x75, 0x65, 0x72, 0x79, 0x12, 0x14, 0x0a, 0x05, 0x71, 0x75,
	0x65, 0x72, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x71, 0x75, 0x65, 0x72, 0x79,
	0x12, 0x12, 0x0a, 0x04, 0x70, 0x61, 0x67, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x05, 0x52, 0x04,
	0x70, 0x61, 0x67, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x6c, 0x69, 0x6d, 0x69, 0x74, 0x18, 0x03, 0x20,
	0x01, 0x28, 0x05, 0x52, 0x05, 0x6c, 0x69, 0x6d, 0x69, 0x74, 0x22, 0x2c, 0x0a, 0x1a, 0x50, 0x61,
	0x73, 0x73, 0x65, 0x6e, 0x67, 0x65, 0x72, 0x49, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65,
	0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x04, 0x52, 0x02, 0x69, 0x64, 0x32, 0xda, 0x03, 0x0a, 0x10, 0x50, 0x61, 0x73,
	0x73, 0x65, 0x6e, 0x67, 0x65, 0x72, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x54, 0x0a,
	0x0f, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x50, 0x61, 0x73, 0x73, 0x65, 0x6e, 0x67, 0x65, 0x72,
	0x12, 0x26, 0x2e, 0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x63, 0x61, 0x74, 0x61, 0x6c, 0x6f,
	0x67, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x50, 0x61, 0x73, 0x73, 0x65, 0x6e, 0x67, 0x65,
	0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x19, 0x2e, 0x6d, 0x61, 0x73, 0x74, 0x65,
	0x72, 0x2e, 0x63, 0x61, 0x74, 0x61, 0x6c, 0x6f, 0x67, 0x2e, 0x50, 0x61, 0x73, 0x73, 0x65, 0x6e,
	0x67, 0x65, 0x72, 0x12, 0x54, 0x0a, 0x0f, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x50, 0x61, 0x73,
	0x73, 0x65, 0x6e, 0x67, 0x65, 0x72, 0x12, 0x26, 0x2e, 0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x2e,
	0x63, 0x61, 0x74, 0x61, 0x6c, 0x6f, 0x67, 0x2e, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x50, 0x61,
	0x73, 0x73, 0x65, 0x6e, 0x67, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x19,
	0x2e, 0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x63, 0x61, 0x74, 0x61, 0x6c, 0x6f, 0x67, 0x2e,
	0x50, 0x61, 0x73, 0x73, 0x65, 0x6e, 0x67, 0x65, 0x72, 0x12, 0x66, 0x0a, 0x0f, 0x44, 0x65, 0x6c,
	0x65, 0x74, 0x65, 0x50, 0x61, 0x73, 0x73, 0x65, 0x6e, 0x67, 0x65, 0x72, 0x12, 0x2a, 0x2e, 0x6d,
	0x61, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x63, 0x61, 0x74, 0x61, 0x6c, 0x6f, 0x67, 0x2e, 0x50, 0x61,
	0x73, 0x73, 0x65, 0x6e, 0x67, 0x65, 0x72, 0x49, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65,
	0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x27, 0x2e, 0x6d, 0x61, 0x73, 0x74, 0x65,
	0x72, 0x2e, 0x63, 0x61, 0x74, 0x61, 0x6c, 0x6f, 0x67, 0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65,
	0x50, 0x61, 0x73, 0x73, 0x65, 0x6e, 0x67, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x12, 0x59, 0x0a, 0x10, 0x47, 0x65, 0x74, 0x50, 0x61, 0x73, 0x73, 0x65, 0x6e, 0x67, 0x65,
	0x72, 0x42, 0x79, 0x49, 0x44, 0x12, 0x2a, 0x2e, 0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x63,
	0x61, 0x74, 0x61, 0x6c, 0x6f, 0x67, 0x2e, 0x50, 0x61, 0x73, 0x73, 0x65, 0x6e, 0x67, 0x65, 0x72,
	0x49, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x1a, 0x19, 0x2e, 0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x63, 0x61, 0x74, 0x61, 0x6c,
	0x6f, 0x67, 0x2e, 0x50, 0x61, 0x73, 0x73, 0x65, 0x6e, 0x67, 0x65, 0x72, 0x12, 0x57, 0x0a, 0x10,
	0x47, 0x65, 0x74, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x61, 0x73, 0x73, 0x65, 0x6e, 0x67, 0x65, 0x72,
	0x12, 0x24, 0x2e, 0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x63, 0x61, 0x74, 0x61, 0x6c, 0x6f,
	0x67, 0x2e, 0x50, 0x61, 0x73, 0x73, 0x65, 0x6e, 0x67, 0x65, 0x72, 0x46, 0x69, 0x6c, 0x74, 0x65,
	0x72, 0x51, 0x75, 0x65, 0x72, 0x79, 0x1a, 0x1d, 0x2e, 0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x2e,
	0x63, 0x61, 0x74, 0x61, 0x6c, 0x6f, 0x67, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x61, 0x73, 0x73,
	0x65, 0x6e, 0x67, 0x65, 0x72, 0x42, 0x19, 0x5a, 0x17, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75,
	0x66, 0x2f, 0x6d, 0x61, 0x73, 0x74, 0x65, 0x72, 0x2f, 0x63, 0x61, 0x74, 0x61, 0x6c, 0x6f, 0x67,
	0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_proto_master_catalog_passenger_proto_rawDescOnce sync.Once
	file_proto_master_catalog_passenger_proto_rawDescData = file_proto_master_catalog_passenger_proto_rawDesc
)

func file_proto_master_catalog_passenger_proto_rawDescGZIP() []byte {
	file_proto_master_catalog_passenger_proto_rawDescOnce.Do(func() {
		file_proto_master_catalog_passenger_proto_rawDescData = protoimpl.X.CompressGZIP(file_proto_master_catalog_passenger_proto_rawDescData)
	})
	return file_proto_master_catalog_passenger_proto_rawDescData
}

var file_proto_master_catalog_passenger_proto_msgTypes = make([]protoimpl.MessageInfo, 7)
var file_proto_master_catalog_passenger_proto_goTypes = []interface{}{
	(*Passenger)(nil),                  // 0: master.catalog.Passenger
	(*ListPassenger)(nil),              // 1: master.catalog.ListPassenger
	(*CreatePassengerRequest)(nil),     // 2: master.catalog.CreatePassengerRequest
	(*UpdatePassengerRequest)(nil),     // 3: master.catalog.UpdatePassengerRequest
	(*DeletePassengerResponse)(nil),    // 4: master.catalog.DeletePassengerResponse
	(*PassengerFilterQuery)(nil),       // 5: master.catalog.PassengerFilterQuery
	(*PassengerIdentifierRequest)(nil), // 6: master.catalog.PassengerIdentifierRequest
	(*timestamppb.Timestamp)(nil),      // 7: google.protobuf.Timestamp
}
var file_proto_master_catalog_passenger_proto_depIdxs = []int32{
	7, // 0: master.catalog.Passenger.created_at:type_name -> google.protobuf.Timestamp
	7, // 1: master.catalog.Passenger.updated_at:type_name -> google.protobuf.Timestamp
	0, // 2: master.catalog.ListPassenger.passengers:type_name -> master.catalog.Passenger
	2, // 3: master.catalog.PassengerService.CreatePassenger:input_type -> master.catalog.CreatePassengerRequest
	3, // 4: master.catalog.PassengerService.UpdatePassenger:input_type -> master.catalog.UpdatePassengerRequest
	6, // 5: master.catalog.PassengerService.DeletePassenger:input_type -> master.catalog.PassengerIdentifierRequest
	6, // 6: master.catalog.PassengerService.GetPassengerByID:input_type -> master.catalog.PassengerIdentifierRequest
	5, // 7: master.catalog.PassengerService.GetListPassenger:input_type -> master.catalog.PassengerFilterQuery
	0, // 8: master.catalog.PassengerService.CreatePassenger:output_type -> master.catalog.Passenger
	0, // 9: master.catalog.PassengerService.UpdatePassenger:output_type -> master.catalog.Passenger
	4, // 10: master.catalog.PassengerService.DeletePassenger:output_type -> master.catalog.DeletePassengerResponse
	0, // 11: master.catalog.PassengerService.GetPassengerByID:output_type -> master.catalog.Passenger
	1, // 12: master.catalog.PassengerService.GetListPassenger:output_type -> master.catalog.ListPassenger
	8, // [8:13] is the sub-list for method output_type
	3, // [3:8] is the sub-list for method input_type
	3, // [3:3] is the sub-list for extension type_name
	3, // [3:3] is the sub-list for extension extendee
	0, // [0:3] is the sub-list for field type_name
}

func init() { file_proto_master_catalog_passenger_proto_init() }
func file_proto_master_catalog_passenger_proto_init() {
	if File_proto_master_catalog_passenger_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_proto_master_catalog_passenger_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Passenger); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_master_catalog_passenger_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListPassenger); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_master_catalog_passenger_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreatePassengerRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_master_catalog_passenger_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpdatePassengerRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_master_catalog_passenger_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeletePassengerResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_master_catalog_passenger_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PassengerFilterQuery); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_master_catalog_passenger_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PassengerIdentifierRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_proto_master_catalog_passenger_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   7,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_proto_master_catalog_passenger_proto_goTypes,
		DependencyIndexes: file_proto_master_catalog_passenger_proto_depIdxs,
		MessageInfos:      file_proto_master_catalog_passenger_proto_msgTypes,
	}.Build()
	File_proto_master_catalog_passenger_proto = out.File
	file_proto_master_catalog_passenger_proto_rawDesc = nil
	file_proto_master_catalog_passenger_proto_goTypes = nil
	file_proto_master_catalog_passenger_proto_depIdxs = nil
}
